Name:           osm2pgsql
Version:        0.84.0
Release:        1%{?dist}
Summary:        Imports map data from OpenStreetMap to a PostgreSQL database

License:        GPLv2+
URL:            http://wiki.openstreetmap.org/wiki/Osm2pgsql
Source0:        https://github.com/openstreetmap/osm2pgsql/archive/%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  protobuf-c-devel
BuildRequires:  geos-devel
BuildRequires:  libxml2-devel
BuildRequires:  postgresql-devel
BuildRequires:  bzip2-devel
BuildRequires:  proj-devel

%description
Processes the planet file from the community mapping project at
http://www.openstreetmap.org. The map data is converted from XML to a
database stored in PostgreSQL with PostGIS geospatial extensions. This
database may then be used to render maps with Mapnik or for other
geospatial analysis.

%prep
%setup -q

%build
./autogen.sh
%configure --disable-static
make all %{?_smp_mflags} CFLAGS="%{optflags}"

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%doc AUTHORS ChangeLog COPYING README NEWS TODO
%{_mandir}/man*/*.1*
%{_bindir}/%{name}
%{_bindir}/nodecachefilereader
%{_datadir}/%{name}/

%changelog
* Sun Jan 05 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.84.0-1
- Updated to latest upstream version 0.84.0

* Tue Nov 05 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.82.0-3
- Rebuilt for geos

* Sat Oct 05 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.82.0-2
- Rebuilt for geos

* Thu Sep 12 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.82.0-1
- Updated to latest upstream version 0.82.0
- Spec file updated

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.70.5-0.14.20121021svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 06 2013 Devrim GÜNDÜZ <devrim@gunduz.org> - 0.70.5-0.13.20121021svn
- Rebuild with new geos.

* Sat Jan 26 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.12.20121021svn
- Rebuilt for geos

* Mon Nov 19 2012 Devrim GÜNDÜZ <devrim@gunduz.org> - 0.70.5-0.11.20121021svn
- Rebuild with newer geos.

* Thu Nov 15 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.10.20121021svn
- Rebuilt for geos

* Sun Oct 21 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.9.20121021svn
- Updated to new svn checkout from 2012-10-21
- gazetteer was removed
- nodecachefilereader included
- Minor changes

* Fri Apr 13 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.8.20120413svn
- Patch to remove gazetteer stuff reworked 
- Updated to new upstream version 20120413 (Rev. 28284)

* Mon Mar 19 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.7.20120319svn
- Updated to new upstream version 20120319 (Rev. 28116)

* Sat Sep 10 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.6.20110910svn
- Updated to new upstream version 20110910 (Rev. 26638)

* Sat Jul 02 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.5.20110702svn
- Added new BRs
- Updated existing patch acc. the details in #510073

* Sat Jun 25 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.4.20110327svn
- Fix autotool issue (osm2pgsql-configure.patch updated)

* Sun Mar 27 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.3.20110327svn
- Build with svn checkout detail as version information
- Remove gazetteer stuff, Patch for configure.ac and Makefile.am 
- Updated to new checkout

* Tue Nov 23 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.2.20101124svn
- Typo fixed in summary
- Prefix removed 
- Doc updated
- Replaced define

* Wed Aug 18 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.1.20100821svn
- Initial package for Fedora
